UPP Docs
File

Get a file

GET
/upload/{fileId}

Authorization

merchantApiKeymerchantTimestampmerchantNoncemerchantSignature
headerX-API-KEY<token>

Merchant API key (starts with upk_, also accepts api-key); signing headers are also required

headerX-Timestamp<token>

Unix timestamp in seconds, within 300 seconds of server time

headerX-Nonce<token>

Unique per request; cannot be reused with the same credential during the timestamp validity window

headerX-Signature<token>

Hex HMAC-SHA256 signature (either letter case) of the method, full path, timestamp, nonce and body digest

Path Parameters

fileId*string

Response Body

File details

application/json
  1. response
id*string

File ID (starts with file_)

purpose*string|null
filename*string

File name at upload

mime_type*string
Value in"image/jpeg""image/png""application/pdf"
size*integer

Size in bytes

sha256*string
created_at*string
Formatdate-time
Example Request
curl -X GET 'https://sandbox.getupp.net/api/v1/upload/string'
Example Response
{  "id": "string",  "purpose": "string",  "filename": "string",  "mime_type": "image/jpeg",  "size": 0,  "sha256": "string",  "created_at": "2019-08-24T14:15:22Z"}